diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/model/red-queue-disc.h ns-3.44/src/traffic-control/model/red-queue-disc.h
--- ns-3.43/src/traffic-control/model/red-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/model/red-queue-disc.h	2025-03-09 16:55:49.719372300 -0700
@@ -62,34 +62,34 @@
 class TraceContainer;
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
- * \brief A RED packet queue disc
+ * @brief A RED packet queue disc
  */
 class RedQueueDisc : public QueueDisc
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief RedQueueDisc Constructor
+     * @brief RedQueueDisc Constructor
      *
      * Create a RED queue disc
      */
     RedQueueDisc();
 
     /**
-     * \brief Destructor
+     * @brief Destructor
      *
      * Destructor
      */
     ~RedQueueDisc() override;
 
     /**
-     * \brief Used in Feng's Adaptive RED
+     * @brief Used in Feng's Adaptive RED
      */
     enum FengStatus
     {
@@ -99,7 +99,7 @@
     };
 
     /**
-     * \brief Drop types
+     * @brief Drop types
      */
     enum
     {
@@ -109,66 +109,66 @@
     };
 
     /**
-     * \brief Set the alpha value to adapt m_curMaxP.
+     * @brief Set the alpha value to adapt m_curMaxP.
      *
-     * \param alpha The value of alpha to adapt m_curMaxP.
+     * @param alpha The value of alpha to adapt m_curMaxP.
      */
     void SetAredAlpha(double alpha);
 
     /**
-     * \brief Get the alpha value to adapt m_curMaxP.
+     * @brief Get the alpha value to adapt m_curMaxP.
      *
-     * \returns The alpha value to adapt m_curMaxP.
+     * @returns The alpha value to adapt m_curMaxP.
      */
     double GetAredAlpha();
 
     /**
-     * \brief Set the beta value to adapt m_curMaxP.
+     * @brief Set the beta value to adapt m_curMaxP.
      *
-     * \param beta The value of beta to adapt m_curMaxP.
+     * @param beta The value of beta to adapt m_curMaxP.
      */
     void SetAredBeta(double beta);
 
     /**
-     * \brief Get the beta value to adapt m_curMaxP.
+     * @brief Get the beta value to adapt m_curMaxP.
      *
-     * \returns The beta value to adapt m_curMaxP.
+     * @returns The beta value to adapt m_curMaxP.
      */
     double GetAredBeta();
 
     /**
-     * \brief Set the alpha value to adapt m_curMaxP in Feng's Adaptive RED.
+     * @brief Set the alpha value to adapt m_curMaxP in Feng's Adaptive RED.
      *
-     * \param a The value of alpha to adapt m_curMaxP in Feng's Adaptive RED.
+     * @param a The value of alpha to adapt m_curMaxP in Feng's Adaptive RED.
      */
     void SetFengAdaptiveA(double a);
 
     /**
-     * \brief Get the alpha value to adapt m_curMaxP in Feng's Adaptive RED.
+     * @brief Get the alpha value to adapt m_curMaxP in Feng's Adaptive RED.
      *
-     * \returns The alpha value to adapt m_curMaxP in Feng's Adaptive RED.
+     * @returns The alpha value to adapt m_curMaxP in Feng's Adaptive RED.
      */
     double GetFengAdaptiveA();
 
     /**
-     * \brief Set the beta value to adapt m_curMaxP in Feng's Adaptive RED.
+     * @brief Set the beta value to adapt m_curMaxP in Feng's Adaptive RED.
      *
-     * \param b The value of beta to adapt m_curMaxP in Feng's Adaptive RED.
+     * @param b The value of beta to adapt m_curMaxP in Feng's Adaptive RED.
      */
     void SetFengAdaptiveB(double b);
 
     /**
-     * \brief Get the beta value to adapt m_curMaxP in Feng's Adaptive RED.
+     * @brief Get the beta value to adapt m_curMaxP in Feng's Adaptive RED.
      *
-     * \returns The beta value to adapt m_curMaxP in Feng's Adaptive RED.
+     * @returns The beta value to adapt m_curMaxP in Feng's Adaptive RED.
      */
     double GetFengAdaptiveB();
 
     /**
-     * \brief Set the thresh limits of RED.
+     * @brief Set the thresh limits of RED.
      *
-     * \param minTh Minimum thresh in bytes or packets.
-     * \param maxTh Maximum thresh in bytes or packets.
+     * @param minTh Minimum thresh in bytes or packets.
+     * @param maxTh Maximum thresh in bytes or packets.
      */
     void SetTh(double minTh, double maxTh);
 
@@ -177,8 +177,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -191,7 +191,7 @@
 
   protected:
     /**
-     * \brief Dispose of the object
+     * @brief Dispose of the object
      */
     void DoDispose() override;
 
@@ -202,7 +202,7 @@
     bool CheckConfig() override;
 
     /**
-     * \brief Initialize the queue parameters.
+     * @brief Initialize the queue parameters.
      *
      * Note: if the link bandwidth changes in the course of the
      * simulation, the bandwidth-dependent RED parameters do not change.
@@ -211,41 +211,41 @@
      */
     void InitializeParams() override;
     /**
-     * \brief Compute the average queue size
-     * \param nQueued number of queued packets
-     * \param m simulated number of packets arrival during idle period
-     * \param qAvg average queue size
-     * \param qW queue weight given to cur q size sample
-     * \returns new average queue size
+     * @brief Compute the average queue size
+     * @param nQueued number of queued packets
+     * @param m simulated number of packets arrival during idle period
+     * @param qAvg average queue size
+     * @param qW queue weight given to cur q size sample
+     * @returns new average queue size
      */
     double Estimator(uint32_t nQueued, uint32_t m, double qAvg, double qW);
     /**
-     * \brief Update m_curMaxP
-     * \param newAve new average queue length
+     * @brief Update m_curMaxP
+     * @param newAve new average queue length
      */
     void UpdateMaxP(double newAve);
     /**
-     * \brief Update m_curMaxP based on Feng's Adaptive RED
-     * \param newAve new average queue length
+     * @brief Update m_curMaxP based on Feng's Adaptive RED
+     * @param newAve new average queue length
      */
     void UpdateMaxPFeng(double newAve);
     /**
-     * \brief Check if a packet needs to be dropped due to probability mark
-     * \param item queue item
-     * \param qSize queue size
-     * \returns false for no drop/mark, true for drop
+     * @brief Check if a packet needs to be dropped due to probability mark
+     * @param item queue item
+     * @param qSize queue size
+     * @returns false for no drop/mark, true for drop
      */
     bool DropEarly(Ptr<QueueDiscItem> item, uint32_t qSize);
     /**
-     * \brief Returns a probability using these function parameters for the DropEarly function
-     * \returns Prob. of packet drop before "count"
+     * @brief Returns a probability using these function parameters for the DropEarly function
+     * @returns Prob. of packet drop before "count"
      */
     double CalculatePNew();
     /**
-     * \brief Returns a probability using these function parameters for the DropEarly function
-     * \param p Prob. of packet drop before "count"
-     * \param size packet size
-     * \returns Prob. of packet drop
+     * @brief Returns a probability using these function parameters for the DropEarly function
+     * @param p Prob. of packet drop before "count"
+     * @param size packet size
+     * @returns Prob. of packet drop
      */
     double ModifyP(double p, uint32_t size);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/model/tbf-queue-disc.h ns-3.44/src/traffic-control/model/tbf-queue-disc.h
--- ns-3.43/src/traffic-control/model/tbf-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/model/tbf-queue-disc.h	2025-03-09 16:55:49.719372300 -0700
@@ -31,106 +31,106 @@
 {
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
- * \brief A TBF packet queue disc
+ * @brief A TBF packet queue disc
  */
 class TbfQueueDisc : public QueueDisc
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief TbfQueueDisc Constructor
+     * @brief TbfQueueDisc Constructor
      *
      * Create a TBF queue disc
      */
     TbfQueueDisc();
 
     /**
-     * \brief Destructor
+     * @brief Destructor
      *
      * Destructor
      */
     ~TbfQueueDisc() override;
 
     /**
-     * \brief Set the size of the first bucket in bytes.
+     * @brief Set the size of the first bucket in bytes.
      *
-     * \param burst The size of first bucket in bytes.
+     * @param burst The size of first bucket in bytes.
      */
     void SetBurst(uint32_t burst);
 
     /**
-     * \brief Get the size of the first bucket in bytes.
+     * @brief Get the size of the first bucket in bytes.
      *
-     * \returns The size of the first bucket in bytes.
+     * @returns The size of the first bucket in bytes.
      */
     uint32_t GetBurst() const;
 
     /**
-     * \brief Set the size of the second bucket in bytes.
+     * @brief Set the size of the second bucket in bytes.
      *
-     * \param mtu The size of second bucket in bytes.
+     * @param mtu The size of second bucket in bytes.
      */
     void SetMtu(uint32_t mtu);
 
     /**
-     * \brief Get the size of the second bucket in bytes.
+     * @brief Get the size of the second bucket in bytes.
      *
-     * \returns The size of the second bucket in bytes.
+     * @returns The size of the second bucket in bytes.
      */
     uint32_t GetMtu() const;
 
     /**
-     * \brief Set the rate of the tokens entering the first bucket.
+     * @brief Set the rate of the tokens entering the first bucket.
      *
-     * \param rate The rate of first bucket tokens.
+     * @param rate The rate of first bucket tokens.
      */
     void SetRate(DataRate rate);
 
     /**
-     * \brief Get the rate of the tokens entering the first bucket.
+     * @brief Get the rate of the tokens entering the first bucket.
      *
-     * \returns The rate of first bucket tokens.
+     * @returns The rate of first bucket tokens.
      */
     DataRate GetRate() const;
 
     /**
-     * \brief Set the rate of the tokens entering the second bucket.
+     * @brief Set the rate of the tokens entering the second bucket.
      *
-     * \param peakRate The rate of second bucket tokens.
+     * @param peakRate The rate of second bucket tokens.
      */
     void SetPeakRate(DataRate peakRate);
 
     /**
-     * \brief Get the rate of the tokens entering the second bucket.
+     * @brief Get the rate of the tokens entering the second bucket.
      *
-     * \returns The rate of second bucket tokens.
+     * @returns The rate of second bucket tokens.
      */
     DataRate GetPeakRate() const;
 
     /**
-     * \brief Get the current number of tokens inside the first bucket in bytes.
+     * @brief Get the current number of tokens inside the first bucket in bytes.
      *
-     * \returns The number of first bucket tokens in bytes.
+     * @returns The number of first bucket tokens in bytes.
      */
     uint32_t GetFirstBucketTokens() const;
 
     /**
-     * \brief Get the current number of tokens inside the second bucket in bytes.
+     * @brief Get the current number of tokens inside the second bucket in bytes.
      *
-     * \returns The number of second bucket tokens in bytes.
+     * @returns The number of second bucket tokens in bytes.
      */
     uint32_t GetSecondBucketTokens() const;
 
   protected:
     /**
-     * \brief Dispose of the object
+     * @brief Dispose of the object
      */
     void DoDispose() override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/model/traffic-control-layer.h ns-3.44/src/traffic-control/model/traffic-control-layer.h
--- ns-3.43/src/traffic-control/model/traffic-control-layer.h	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/model/traffic-control-layer.h	2025-03-09 16:55:49.719372300 -0700
@@ -25,7 +25,7 @@
 class NetDeviceQueueInterface;
 
 /**
- * \defgroup traffic-control Traffic Control model
+ * @defgroup traffic-control Traffic Control model
  */
 
 /**
@@ -35,9 +35,9 @@
  * processing packets and performing actions on them: scheduling, dropping,
  * marking, policing, etc.
  *
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
- * \brief Traffic control layer class
+ * @brief Traffic control layer class
  *
  * This object represents the main interface of the Traffic Control Module.
  * Basically, we manage both IN and OUT directions (sometimes called RX and TX,
@@ -88,19 +88,19 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Get the type ID for the instance
-     * \return the instance TypeId
+     * @brief Get the type ID for the instance
+     * @return the instance TypeId
      */
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief Constructor
+     * @brief Constructor
      */
     TrafficControlLayer();
 
@@ -111,19 +111,19 @@
     TrafficControlLayer& operator=(const TrafficControlLayer&) = delete;
 
     /**
-     * \brief Register an IN handler
+     * @brief Register an IN handler
      *
      * The handler will be invoked when a packet is received to pass it to
      * upper  layers.
      *
-     * \param handler the handler to register
-     * \param protocolType the type of protocol this handler is
+     * @param handler the handler to register
+     * @param protocolType the type of protocol this handler is
      *        interested in. This protocol type is a so-called
      *        EtherType, as registered here:
      *        http://standards.ieee.org/regauth/ethertype/eth.txt
      *        the value zero is interpreted as matching all
      *        protocols.
-     * \param device the device attached to this handler. If the
+     * @param device the device attached to this handler. If the
      *        value is zero, the handler is attached to all
      *        devices.
      */
@@ -135,7 +135,7 @@
     typedef std::vector<Ptr<QueueDisc>> QueueDiscVector;
 
     /**
-     * \brief Collect information needed to determine how to handle packets
+     * @brief Collect information needed to determine how to handle packets
      *        destined to each of the NetDevices of this node
      *
      * Checks whether a NetDeviceQueueInterface objects is aggregated to each of
@@ -144,47 +144,47 @@
     virtual void ScanDevices();
 
     /**
-     * \brief This method can be used to set the root queue disc installed on a device
+     * @brief This method can be used to set the root queue disc installed on a device
      *
-     * \param device the device on which the provided queue disc will be installed
-     * \param qDisc the queue disc to be installed as root queue disc on device
+     * @param device the device on which the provided queue disc will be installed
+     * @param qDisc the queue disc to be installed as root queue disc on device
      */
     virtual void SetRootQueueDiscOnDevice(Ptr<NetDevice> device, Ptr<QueueDisc> qDisc);
 
     /**
-     * \brief This method can be used to get the root queue disc installed on a device
+     * @brief This method can be used to get the root queue disc installed on a device
      *
-     * \param device the device on which the requested root queue disc is installed
-     * \return the root queue disc installed on the given device
+     * @param device the device on which the requested root queue disc is installed
+     * @return the root queue disc installed on the given device
      */
     virtual Ptr<QueueDisc> GetRootQueueDiscOnDevice(Ptr<NetDevice> device) const;
 
     /**
-     * \brief This method can be used to remove the root queue disc (and associated
+     * @brief This method can be used to remove the root queue disc (and associated
      *        filters, classes and queues) installed on a device
      *
-     * \param device the device on which the installed queue disc will be deleted
+     * @param device the device on which the installed queue disc will be deleted
      */
     virtual void DeleteRootQueueDiscOnDevice(Ptr<NetDevice> device);
 
     /**
-     * \brief Set node associated with this stack.
-     * \param node node to set
+     * @brief Set node associated with this stack.
+     * @param node node to set
      */
     void SetNode(Ptr<Node> node);
 
     /**
-     * \brief Called by NetDevices, incoming packet
+     * @brief Called by NetDevices, incoming packet
      *
      * After analyses and scheduling, this method will call the right handler
      * to pass the packet up in the stack.
      *
-     * \param device network device
-     * \param p the packet
-     * \param protocol next header value
-     * \param from address of the correspondent
-     * \param to address of the destination
-     * \param packetType type of the packet
+     * @param device network device
+     * @param p the packet
+     * @param protocol next header value
+     * @param from address of the correspondent
+     * @param to address of the destination
+     * @param packetType type of the packet
      */
     virtual void Receive(Ptr<NetDevice> device,
                          Ptr<const Packet> p,
@@ -193,10 +193,10 @@
                          const Address& to,
                          NetDevice::PacketType packetType);
     /**
-     * \brief Called from upper layer to queue a packet for the transmission.
+     * @brief Called from upper layer to queue a packet for the transmission.
      *
-     * \param device the device the packet must be sent to
-     * \param item a queue item including a packet and additional information
+     * @param device the device the packet must be sent to
+     * @param item a queue item including a packet and additional information
      */
     virtual void Send(Ptr<NetDevice> device, Ptr<QueueDiscItem> item);
 
@@ -207,7 +207,7 @@
 
   private:
     /**
-     * \brief Protocol handler entry.
+     * @brief Protocol handler entry.
      * This structure is used to demultiplex all the protocols.
      */
     struct ProtocolHandlerEntry
@@ -219,7 +219,7 @@
     };
 
     /**
-     * \brief Information to store for each device
+     * @brief Information to store for each device
      */
     struct NetDeviceInfo
     {
@@ -232,14 +232,14 @@
     typedef std::vector<ProtocolHandlerEntry> ProtocolHandlerList;
 
     /**
-     * \brief Required by the object map accessor
-     * \return the number of devices in the m_netDevices map
+     * @brief Required by the object map accessor
+     * @return the number of devices in the m_netDevices map
      */
     uint32_t GetNDevices() const;
     /**
-     * \brief Required by the object map accessor
-     * \param index the index of the device in the node's device list
-     * \return the root queue disc installed on the specified device
+     * @brief Required by the object map accessor
+     * @param index the index of the device in the node's device list
+     * @return the root queue disc installed on the specified device
      */
     Ptr<QueueDisc> GetRootQueueDiscOnDeviceByIndex(uint32_t index) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/test/adaptive-red-queue-disc-test-suite.cc ns-3.44/src/traffic-control/test/adaptive-red-queue-disc-test-suite.cc
--- ns-3.43/src/traffic-control/test/adaptive-red-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/test/adaptive-red-queue-disc-test-suite.cc	2025-03-09 16:55:49.727372400 -0700
@@ -19,15 +19,15 @@
 using namespace ns3;
 
 /**
- * \ingroup traffic-control
- * \ingroup tests
- * \defgroup traffic-control-test traffic-control module tests
+ * @ingroup traffic-control
+ * @ingroup tests
+ * @defgroup traffic-control-test traffic-control module tests
  */
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Ared Queue Disc Test Item
+ * @brief Ared Queue Disc Test Item
  */
 class AredQueueDiscTestItem : public QueueDiscItem
 {
@@ -35,8 +35,8 @@
     /**
      * Constructor
      *
-     * \param p packet
-     * \param addr address
+     * @param p packet
+     * @param addr address
      */
     AredQueueDiscTestItem(Ptr<Packet> p, const Address& addr);
     ~AredQueueDiscTestItem() override;
@@ -71,9 +71,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Ared Queue Disc Test Case
+ * @brief Ared Queue Disc Test Case
  */
 class AredQueueDiscTestCase : public TestCase
 {
@@ -84,21 +84,21 @@
   private:
     /**
      * Enqueue function
-     * \param queue the queue disc
-     * \param size the size
-     * \param nPkt the number of packets
+     * @param queue the queue disc
+     * @param size the size
+     * @param nPkt the number of packets
      */
     void Enqueue(Ptr<RedQueueDisc> queue, uint32_t size, uint32_t nPkt);
     /**
      * Enqueue with delay function
-     * \param queue the queue disc
-     * \param size the size
-     * \param nPkt the number of packets
+     * @param queue the queue disc
+     * @param size the size
+     * @param nPkt the number of packets
      */
     void EnqueueWithDelay(Ptr<RedQueueDisc> queue, uint32_t size, uint32_t nPkt);
     /**
      * Run ARED queue disc test function
-     * \param mode the test mode
+     * @param mode the test mode
      */
     void RunAredDiscTest(QueueSizeUnit mode);
 };
@@ -382,7 +382,7 @@
     double delay = 0.01; // enqueue packets with delay to allow m_curMaxP to adapt
     for (uint32_t i = 0; i < nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+        Simulator::Schedule(Seconds((i + 1) * delay),
                             &AredQueueDiscTestCase::Enqueue,
                             this,
                             queue,
@@ -400,9 +400,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Ared Queue Disc Test Suite
+ * @brief Ared Queue Disc Test Suite
  */
 static class AredQueueDiscTestSuite : public TestSuite
 {
